List all Deliveries
Returns a list of ASN, RMA, or Other objects specified by the type path parameter.
Authorizations
Path Parameters
Query Parameters
Specify additional fields of the ASN OR RMA object to be included in the response.
See the selecting fields page for more information.
basic, all, customer_name, carrier_name, authorized_at, delivered_at, receive_by, processed_at, putaway_at, completed_at, ready_to_process_at, merchant_rma_number, merchant_status, carrier_tracking_number, merchant_order_number, item_count, container_count, label_count, exception_count, processing_comments, special_requirements, is_auto_commit, order, created_at, updated_at, supplier_name, expected_at, merchant_reference, supplier_invoice_reference, supplier_order_reference, shipment_type, bill_of_lading, tracking_numbers, standard_carrier_alpha_code, status_history, items Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the DeliveryStatusHistory object to be included in the response. See the selecting fields page for more information.
all, delivery_item, status, exception, exception_status, comment, user, created_at, package Specify additional fields of the DeliveryItem objects to be included in the response. See the selecting fields page for more information.
basic, all, product, quantity, qty_expected, qty_received, qty_shortage, qty_overage, qty_processed, qty_putaway, qty_committed, qty_returned, is_sku_merge_email_sent, lots, locations, exceptions Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the DeliveryException objects nested under items to be included in the response. See the selecting fields page for more information.
basic, all, container, lot, status, sign, reason, comment, quantity Specify additional fields of the DeliveryItemLot objects nested under items to be included in the response. See the selecting fields page for more information.
all, lot, qty_counted, qty_putaway Specify additional fields of the DeliveryItemLocation objects nested under items to be included in the response. See the selecting fields page for more information.
all, location, qty_putaway, qty_committed Specify additional fields of the DeliveryContainer objects to be included in the response. See the selecting fields page for more information.
basic, all, label, type, status, weight, length, width, height, total_skus, total_qty, contents Specify additional fields of the DeliveryContainerType object to be included in the response. See the selecting fields page for more information.
basic, all, is_default, is_system Using the filtering syntax, you may filter the results using the following fields:
idnamestatestatustracking_numbers
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains an array of up to limit ASN, RMA, or Other objects. If no matching deliveries are found the array will be empty.
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.